[mutter] ci: Print all the commits that need bug references
- From: Bastien Nocera <hadess src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [mutter] ci: Print all the commits that need bug references
- Date: Wed, 23 Oct 2019 08:58:30 +0000 (UTC)
commit b622a8b55d5a640ef592fffdebb5a008ea2361fa
Author: Bastien Nocera <hadess hadess net>
Date: Mon Oct 21 13:19:16 2019 +0200
ci: Print all the commits that need bug references
Rather than just the latest one, otherwise it might leave the patch
submitter to iterate over every commit, if they didn't know every patch
needed a reference.
Closes: #1809
.gitlab-ci/check-commit-log.sh | 5 ++++-
1 file changed, 4 insertions(+), 1 deletion(-)
---
diff --git a/.gitlab-ci/check-commit-log.sh b/.gitlab-ci/check-commit-log.sh
index c331a0273..3854eb9df 100755
--- a/.gitlab-ci/check-commit-log.sh
+++ b/.gitlab-ci/check-commit-log.sh
@@ -40,6 +40,7 @@ function commit_message_subject_is_compliant() {
return 0
}
+RET=0
for commit in $commits; do
commit_short=$(echo $commit | cut -c -8)
@@ -52,6 +53,8 @@ for commit in $commits; do
if [ $? != 0 ]; then
echo "Commit message for $commit_short is not compliant:"
echo "$errors"
- exit 1
+ RET=1
fi
done
+
+exit $RET
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]